Skip to main content
POST
/
wealth
/
accounts
/
{account_id}
/
auto-invest
/
{schedule_id}
/
pause
Pause auto-invest schedule
curl --request POST \
  --url https://api.bluumfinance.com/v1/wealth/accounts/{account_id}/auto-invest/{schedule_id}/pause \
  --header 'Authorization: Basic <encoded-value>'
{
  "auto_invest_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "portfolio_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "Monthly Investment",
  "amount": "<string>",
  "currency": "<string>",
  "frequency": "weekly",
  "schedule": {
    "day_of_week": 3,
    "day_of_month": 14,
    "time": "09:30"
  },
  "allocation_rule": "ips_target",
  "custom_allocation": {},
  "funding_source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "start_date": "2023-12-25",
  "end_date": "2023-12-25",
  "next_execution": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using the API Key as username and API Secret as password.

Path Parameters

account_id
string<uuid>
required
schedule_id
string<uuid>
required

Response

Auto-invest schedule paused successfully

Automated investment schedule

auto_invest_id
string<uuid>
account_id
string<uuid>
portfolio_id
string<uuid>
name
string
Example:

"Monthly Investment"

amount
string

Amount to invest per execution

currency
string
Pattern: ^[A-Z]{3}$
frequency
enum<string>
Available options:
weekly,
biweekly,
monthly,
quarterly
schedule
object
allocation_rule
enum<string>
Available options:
ips_target,
equal_weight,
custom
custom_allocation
object

Symbol to percentage mapping (if rule=custom)

funding_source_id
string<uuid>
start_date
string<date>
end_date
string<date>
next_execution
string<date-time>